//
//  BaseDemoViewController.h
//  AAIGlobalIQASDKDemo
//
//  Created by advance on 2022/9/23.
//

#import <UIKit/UIKit.h>
@import AAIGlobalIQASDK;

NS_ASSUME_NONNULL_BEGIN

@interface BaseDemoViewController : UIViewController<UIPickerViewDataSource, UIPickerViewDelegate>
{
    UITextView *_tv;
    NSArray<NSString *> *_reginList;
    NSArray<NSNumber *> *_cardTypeList;
    NSArray<NSNumber *> *_cardSideList;
    
    NSArray<NSString *> *_cardTypeStrList;
    NSArray<NSString *> *_cardSideStrList;
    
    NSInteger _currReginIdx;
    NSInteger _currCardTypeIdx;
    NSInteger _currCardSideIdx;
    
    NSArray<NSNumber *> *_opModeList;
    NSArray<NSString *> *_opModeStrList;
    NSInteger _currOpModeIdx;
}

- (NSString *)btnTitle;
- (void)tapSDKBtnAction;
- (void)processIQAResult:(AAIGlobalIQAResult *)result;
- (void)saveImageToPhoto:(UIImage *)image;

@end

NS_ASSUME_NONNULL_END
