//
//  AAIIQAScanController.h
//  AAIGlobalIQASDK
//
//  Created by advance on 2022/1/4.
//

#import <UIKit/UIKit.h>
#import <AAIGlobalIQASDK/AAIIQABaseViewController.h>
#import <AAIGlobalIQASDK/AAIIQANavBarView.h>

NS_ASSUME_NONNULL_BEGIN

/// A real-time detection of the card page and the photo page.
///
/// You can customize the UI by inheriting this class, then register your custom class to the sdk.
/// e.g.
/// @code
/// // Register your custom class to the SDK before call `[AAIGlobalIQASDK startWithRootVC:]`.
/// [config registerClass:[CustomScanController class] forModule:AAIIQAModuleTypeScanController];
/// @endcode
///
@interface AAIIQAScanController : AAIIQABaseViewController

@property(nonatomic, readonly, nullable) AAIIQANavBarView *navBarView;
@property(nonatomic, readonly, nullable) UIView *cameraView;

@end

NS_ASSUME_NONNULL_END
