//
//  AAICustomPorTakePhotoTipView2.m
//  AAIGlobalIQASDKDemo
//
//  Created by advance on 2022/9/21.
//

#import "AAICustomPorTakePhotoTipView2.h"
@import AAIGlobalIQASDK;

@implementation AAICustomPorTakePhotoTipView2

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // You can adjust the font, textColor to meet your needs.
        AAIGlobalIQAUIConfig *uiConfig = [AAIGlobalIQASDK sdkConfig].uiConfig;
        UILabel *titleLabel = [[UILabel alloc] init];
        titleLabel.font = [AAIIQACommUtil fontWithSize:14 isBold:NO];
        titleLabel.textColor = uiConfig.takePhotoTipTextColor;
        titleLabel.numberOfLines = 0;
        titleLabel.textAlignment = NSTextAlignmentCenter;
        titleLabel.text = @"Take the photo manually!";
        titleLabel.translatesAutoresizingMaskIntoConstraints = NO;
        [self addSubview:titleLabel];
        
        NSArray *constr = @[
            [titleLabel.topAnchor constraintEqualToAnchor:self.topAnchor constant:11],
            [titleLabel.leftAnchor constraintEqualToAnchor:self.leftAnchor constant:11],
            [titleLabel.rightAnchor constraintEqualToAnchor:self.rightAnchor constant:-11],
            [titleLabel.bottomAnchor constraintEqualToAnchor:self.bottomAnchor constant:-11],
        ];
        [NSLayoutConstraint activateConstraints:constr];
    }
    return self;
}

@end
