//
//  AAICustomScanController1.swift
//  AAIGlobalIQASDKSwiftDemo
//
//  Created by advance on 2022/7/4.
//

import UIKit
import AAIGlobalIQASDK

class AAICustomScanController1: AAIIQAScanController {

    override func viewDidLoad() {
        super.viewDidLoad()

        guard let sv = self.view else {
            return
        }
        
        // Add your custom subviews.
        // For example, add a customize background image view.
        let bcgImgView: UIImageView = UIImageView()
        bcgImgView.backgroundColor = .lightGray
        sv.insertSubview(bcgImgView, at: 0)
        
        bcgImgView.translatesAutoresizingMaskIntoConstraints = false
        let cons:[NSLayoutConstraint] = [
            bcgImgView.leftAnchor.constraint(equalTo: sv.leftAnchor, constant: 8),
            bcgImgView.rightAnchor.constraint(equalTo: sv.rightAnchor, constant: -8),
            bcgImgView.bottomAnchor.constraint(equalTo: sv.bottomAnchor, constant: -8),
            bcgImgView.heightAnchor.constraint(equalToConstant: 100)
        ]
        NSLayoutConstraint.activate(cons)
    }

}
